Name:           perl-MP3-Info
Version:        1.21
Release:        1%{?dist}.1
Summary:        Manipulate / fetch info from MP3 audio files
Group:          Development/Libraries
License:        Artistic or GPL
URL:            http://search.cpan.org/dist/MP3-Info/
Source0:        http://www.cpan.org/modules/by-module/MP3/MP3-Info-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is used for getting info out of and into MP3 files.

%prep
%setup -q -n MP3-Info-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jan 07 2007 Christopher Stone <chris.stone@gmail.com> 1.21-1.fc7.1
- Retag release bump

* Sun Jan 07 2007 Christopher Stone <chris.stone@gmail.com> 1.21-1
- Upstream sync

* Wed Aug 30 2006 Christopher Stone <chris.stone@gmail.com> 1.20-3
- FC6 Rebuild

* Mon Jun 26 2006 Christopher Stone <chris.stone@gmail.com> 1.20-2
- Remove unneeded BuildRequires

* Fri Jun 23 2006 Christopher Stone <chris.stone@gmail.com> 1.20-1
- Initial Release.
